libzypp: zypp::target::rpm::librpmDb::db_const_iterator::D Class Reference

libzypp 17.38.8

zypp::target::rpm::librpmDb::db_const_iterator::D Class Reference

## Public Member Functions
| D ()
| A null iterator.
| D (const Pathname &root_r, const Pathname &dbPath_r=Pathname())
| Open a specific rpmdb if it exists.
bool | create (int rpmtag, const void *keyp=NULL, size_t keylen=0)
| Let iterator access a dbindex file.
bool | destroy ()
| Reset iterator.
bool | advance ()
| Advance to the first/next header in iterator.
bool | init (int rpmtag, const void *keyp=NULL, size_t keylen=0)
| Access a dbindex file and advance to the 1st header.
bool | set (int off_r)
| Create an itertator that contains the database entry located at off_r, and advance to the 1st header.
unsigned | offset ()
int | size ()

## Public Attributes
librpmDb::constPtr | _dbptr
AutoDispose< rpmdbMatchIterator > | _mi
RpmHeader::constPtr | _hptr

## Private Member Functions
D & | operator= (const D &)=delete
| D (const D &)=delete
| D (D &&)
D & | operator= (D &&)=delete

## Detailed Description

Definition at line 253 of file librpmDb.cc.

## Constructor & Destructor Documentation

## ◆ D() [1/4]

zypp::target::rpm::librpmDb::db_const_iterator::D::D | ( | const D & |  | ) |
| privatedelete

## ◆ D() [2/4]

zypp::target::rpm::librpmDb::db_const_iterator::D::D | ( | D && |  | ) |
| private

## ◆ D() [3/4]

zypp::target::rpm::librpmDb::db_const_iterator::D::D | ( |  | ) |
| inline

A null iterator.

Definition at line 267 of file librpmDb.cc.

## ◆ D() [4/4]

zypp::target::rpm::librpmDb::db_const_iterator::D::D | ( | const Pathname & | root_r,
|  | const Pathname & | dbPath_r = Pathname() )
| inline

Open a specific rpmdb if it exists.

Definition at line 271 of file librpmDb.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

D & zypp::target::rpm::librpmDb::db_const_iterator::D::operator= | ( | const D & |  | ) |
| privatedelete

## ◆ operator=() [2/2]

D & zypp::target::rpm::librpmDb::db_const_iterator::D::operator= | ( | D && |  | ) |
| privatedelete

## ◆ create()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::create | ( | int | rpmtag,
|  | const void * | keyp = NULL,
|  | size_t | keylen = 0 )
| inline

Let iterator access a dbindex file.

Call advance to access the 1st element (if present).

Definition at line 288 of file librpmDb.cc.

## ◆ destroy()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::destroy | ( |  | ) |
| inline

Reset iterator.

Always returns false.

Definition at line 300 of file librpmDb.cc.

## ◆ advance()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::advance | ( |  | ) |
| inline

Advance to the first/next header in iterator.

Destroys iterator if no more headers available.

Definition at line 311 of file librpmDb.cc.

## ◆ init()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::init | ( | int | rpmtag,
|  | const void * | keyp = NULL,
|  | size_t | keylen = 0 )
| inline

Access a dbindex file and advance to the 1st header.

Definition at line 328 of file librpmDb.cc.

## ◆ set()

bool zypp::target::rpm::librpmDb::db_const_iterator::D::set | ( | int | off_r | ) |
| inline

Create an itertator that contains the database entry located at off_r, and advance to the 1st header.

Definition at line 339 of file librpmDb.cc.

## ◆ offset()

unsigned zypp::target::rpm::librpmDb::db_const_iterator::D::offset | ( |  | ) |
| inline

Definition at line 351 of file librpmDb.cc.

## ◆ size()

int zypp::target::rpm::librpmDb::db_const_iterator::D::size | ( |  | ) |
| inline

Definition at line 356 of file librpmDb.cc.

## Member Data Documentation

## ◆ _dbptr

librpmDb::constPtr zypp::target::rpm::librpmDb::db_const_iterator::D::_dbptr

Definition at line 262 of file librpmDb.cc.

## ◆ _mi

AutoDispose<rpmdbMatchIterator> zypp::target::rpm::librpmDb::db_const_iterator::D::_mi

Definition at line 263 of file librpmDb.cc.

## ◆ _hptr

RpmHeader::constPtr zypp::target::rpm::librpmDb::db_const_iterator::D::_hptr

Definition at line 264 of file librpmDb.cc.

The documentation for this class was generated from the following file:

- zypp/target/rpm/librpmDb.cc